
#include <GL/glew.h>
#include <stdio.h>
#include "iglu.h"

class SimpleReflectionsDisplay : public iglu::IGLUDisplayMode {
public:
	SimpleReflectionsDisplay() : IGLUDisplayMode() {}
	virtual ~SimpleReflectionsDisplay() {}

	virtual void Initialize( int trackNum );
	virtual void Display();

	virtual const char *GetWindowTitle( void )     
	{ 
		return "IGLU Reflections Example"; 
	}
	virtual const char *GetHelpDescriptor( void )  
	{ 
		return "The display modes in this program are of varying complexity.  This "
			   "one performs a slightly more complex (and interesting) rendering of "
			   "an object above a mirrored plane."; 
	}

private:

};